#!/bin/sh

# little script to convert KnoppixNet Documenation wiki to static HTML
wget -nH -E -r -l inf -k -p -np -D thunder.ourhome.net http://thunder.ourhome.net/phpwiki/index.php

#make a backup of the downloaded files, in case the following goes wrong...
cp -a phpwiki ../phpwiki-backup

#remove the alpha server directory
rm -rf phpwiki/index.php/PhpWikiAlpha\:en

#get rid of all the 'action' related pages other than BackLink pages
#(I felt the BackLinks pages were useful to navigation.)

#note; used perl unlink(), to avoid issues with shell quotting; there are some
#oddball file names for pages, that I don't think are linked anywhere...
find ./ -name '*\?*' | grep -v 'BackLinks' | perl -pe 'chomp; unlink("$_");'

#remove all the base hrefs- this causes problems with windows
find ./ -name '*html' -exec perl -pi -e 's/<base href="" \/>//' {} \;

#tidy up the ?action= filenames to be just '_'
#NB- at this point these should just be the BackLink files
find ./ -name '*action*' | perl -pe 'BEGIN {use File::Copy}; chomp; $file=$_; $newfile=$file; $newfile=~s/\?action=/_/; move($file, $newfile)'

#adjust all the links of the form %3Faction= to '_'
find ./ -name '*html' -exec perl -pi -e 's/%3Faction=/_/' {} \;

#quite a few pages have edit icons for yet to be done wiki pages.  Lets remove those links.
find ./ -name '*html' -exec perl -pi -e 's/(<span class="wikiunknown">)(<a href=.*?\?<\/a>)(.*?<\/span>)/$1$3/' {} \;

#remove unwanted pages, and links to these pages
cd phpwiki/index.php
../../spider_bad_pages.pl

#next steps- check the changed pages- look for *.orig. 
#check for broken links via checkbot

